#
# spec file for package xfce4-panel-plugin-xkb
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-xkb-plugin

Name:           xfce4-panel-plugin-xkb
Version:        0.8.1
Release:        lp150.2.1
Summary:        XKB Layout Switcher Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.8/%{plugin_name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE xfce4-xkb-plugin-0.8.0-downgrade-libxklavier-requirement.diff -- xklavier-5.3 is good enough -- seife
Patch0:         xfce4-xkb-plugin-0.8.0-downgrade-libxklavier-requirement.diff
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(garcon-1) >= 0.4.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.0
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.14
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.12.0
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.12.0
BuildRequires:  pkgconfig(libxfconf-0) >= 4.12.1
BuildRequires:  pkgconfig(libxklavier) >= 5.3
BuildRequires:  pkgconfig(pango)
Requires:       xfce4-panel >= %{panel_version}
Requires:       xfce4-settings >= 4.11.0
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The XKB plugin allows to setup and switch between multiple XKB keyboard
layouts.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/*.la
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS COPYING README
%{_libdir}/xfce4/panel/plugins/libxkb.so
%{_datadir}/xfce4/panel/plugins/xkb.desktop
%dir %{_datadir}/xfce4/xkb
%{_datadir}/xfce4/xkb/*

%files lang -f %{name}.lang

%changelog
* Mon Feb 26 2018 crrodriguez@opensuse.org
- Explicitly require pango and cairo, both are direct
  build deps.
* Tue Oct  3 2017 jengelh@inai.de
- Remove redundant %%clean section.
* Tue Oct  3 2017 seife+obs@b1-systems.com
- update to version 0.8.1
  * Add caps lock indicator for "system" layout style
  * Translation updates
- Fix the build with libxklavier 5.3:
  xfce4-xkb-plugin-0.8.0-downgrade-libxklavier-requirement.diff
* Wed Jul 19 2017 seife+obs@b1-systems.com
- update to version 0.8.0
  * New plugin is not compatible with previous versions
    you will have to add and configure it again!
  * Port to GTK+3
  * Add xfconf support
  * Add new "system" layout style
  * Allow adjusting widget size
  * Allow displaying language name instead of country name
  * Allow hiding tooltip icon
  * Load flags from XDG_DATA_HOME if present
  * Fix Indian flag filename
  * Fix charset for layout names
  * Translation updates
* Sun Dec 25 2016 seife+obs@b1-systems.com
- update to version 0.7.1
  - fix crash in xkb_util_normalize_group_name
- 0.7.0
  - this is a fairly major rework - keyboard layouts are now
    configured through xfce4-keyboard-settings and managed by
    xfsettingsd; xkb-plugin only manages per window/application
    layout prefs and just acts as a layout indicator otherwise
  - many crashes/leaks fixed
  - more descriptive layout/variant names in tooltips/popup menus
  - xfce 4.10 panel compatibility
  - text labels are scaled to the size of text area
  - more flags added
  - layout configs should no longer be lost (this is really handled
    by the code moved to xfce4-settings though)
  - XKB settings not managed by XFCE should no longer be overwritten
    (again, this is really handled by xfce4-settings now)
  - now depends on garcon (used to launch xfce4-keyboard-settings)
- package NEWS instead of ChangeLog file
* Thu Jun 20 2013 gber@opensuse.org
- update to version 0.5.6
  - don't reset xkb settings on panel's save signal
  - check that current group number is sensible
  - fix crash in xkb_util_normalize_group_name
  - window title reflects if layout is added/edited
  - don't overwrite XKB options we don't control
  - disable Edit layout button if no layout is selected
  - fix compiler warning
  - use nicer looking flag dimensions in tooltips
* Tue May 14 2013 gber@opensuse.org
- update to version 0.5.5
  - several crashes fixed
  - text labels are scaled to the size of text area
  - kazakh flag added
  - panel 4.10 compatibility
  - reset xkb config when new keyboard is detected (configs should
    no longer be lost, or at least not as often as before)
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sat Jan  7 2012 gber@opensuse.org
- update to version 0.5.4.3
  - fix error with incorrect handling variants
  - text size on icon is now adjustable
  - new flag: Cambodia
* Mon Dec  5 2011 gber@opensuse.org
- update to version 0.5.4.2
  - text size on icon is now adjustable
  - new flag: Cambodia
  - Bosnian flag renamed from bs to ba
  - code cleanup
  - fixing memory leaks (bnc#734851)
  - scrolling the plugin button cycle through layouts
  - remove unnedeed g_strdup as g_strconcat already allocates memory
  - switch to libxfce4ui, updated dependencies
  - compilation with libxklavier 5.0 API
  - prevent crashing when removing from panel
  - new flag of Georgia
  - new flag of Serbia, removed flag of Yugoslavia as obsoleted
- dropped all patches, all fixes have been integrated upstream
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
